<?php
include_once("c_esmo_gateway_push_kt.php");
class c_page_cab_esmo_gateway_push_kt_setting extends c_page_cab_esmo_gateway_push_kt
{   public $h1='Оповещение по результату КТ - настройки' ;
    public $use_datepicker=1 ;

    var $arr_mode=array(1=>'Асинхронный',2=>'Синхронный') ;

   function block_main()
   { $this->page_title() ;
     $this->panel_tech_edit() ;
   }

   function panel_tech_edit()
   { $period=array() ;
     for($i=1;$i<=60;$i++) $period['*/'.$i.' * * * *']=$i.' мин.' ;
     if (!is_array($GLOBALS['LS_kt_push_fields'])) $GLOBALS['LS_kt_push_fields']=unserialize($GLOBALS['LS_kt_push_fields']) ;
     
     ?><form class="sky-form  no_box_shadow">
       <table class="basic fz_small auto left" style="width:48%;float:left;">
        <tr><th colspan="2"><h2>Настройки шлюза</h2></th></tr><?
         $comment_sync=($GLOBALS['LS_kt_push_sync'])? 'Включено с '.date('d.m.Y H:i:s',$GLOBALS['LS_kt_push_sync']):'' ;
         $comment_async=($GLOBALS['LS_kt_push_async'])? 'Включено с '.date('d.m.Y H:i:s',$GLOBALS['LS_kt_push_async']):'' ;
         $value_sync=($GLOBALS['LS_kt_push_sync'])? $GLOBALS['LS_kt_push_sync']:time() ;
         $value_async=($GLOBALS['LS_kt_push_async'])? $GLOBALS['LS_kt_push_async']:time() ;
         $this->form_checkbox('Включить синхронную отправку PUSH-уведомления по результату КТ',$comment_sync,'LS_kt_push_sync',0,$value_sync) ;
         $this->form_checkbox('Включить асинхронную отправку PUSH-уведомлений по результатам КТ',$comment_async,'LS_kt_push_async',0,$value_async) ;
         $this->form_element_select('Формат отправляемых данных','','LS_kt_push_format',$_SESSION['ARR_mo_push_format'],array('cur_value'=>$GLOBALS['LS_kt_push_format'])) ;
           if ($GLOBALS['LS_kt_push_format']==2) {?><tr><td>XSD схема XML-документа <div class="comment">Действительно только для текущего набора отправляемых данных. При изменении набора данных необходимо заново скачать XSD-схему</div></td>
               <td><a href="/services/esmo_gateway/push_kt_xsd/">Скачать</a>&nbsp;&nbsp;&nbsp;<a class="new_window" href="/services/esmo_gateway/push_kt_xsd/?view">Посмотреть</a></td></tr><?}
         
         $rec_cron=ENGINE()->get_cron_by_code('ESMO/cron_send_push_kt_result_async') ;

         $this->form_element_select('Интервал отправки данных в асинхронном режиме, минут','','CRON[ESMO/cron_send_push_kt_result_async]',$period,array('cur_value'=>$rec_cron['intr'])) ;
         $this->form_element_input('Таймаут при синхронной отправке, секунд','','LS_kt_push_timeout_sync') ;
         $this->form_element_input('Таймаут при асинхронной отправке, секунд','','LS_kt_push_timeout_async') ;
         $this->form_element_input('Максимальное число МО, отправляемых за раз при асинхронной отправке','','LS_kt_push_async_size') ;
         $this->form_element_textarea('URL для PUSH','','LS_kt_push_server') ;
         $this->form_element_input('Логин для BASIC-авторизации','','LS_kt_push_login') ;
         $this->form_element_input('Пароль для BASIC-авторизации','','LS_kt_push_password',array('type'=>'password')) ;
       ?></table><?
       ?><table class="basic fz_small auto left" style="width:48%;float:right;">
         <tr><th colspan="2"><h2>Отправляемые данные</h2></th></tr><?
         $this->form_checkbox_to_arr('<strong>kt_id</strong> - ID сессии КТ','','LS_kt_push_fields','kt_id') ;
         $this->form_checkbox_to_arr('<strong>time_now</strong> - текущее время сервера','','LS_kt_push_fields','time_now') ;
         $this->form_checkbox_to_arr('<strong>time_start</strong> - время начала КТ','','LS_kt_push_fields','time_start') ;
         $this->form_checkbox_to_arr('<strong>zone_name</strong> - наименование зоны ЭСМО, где был проведен КТ','','LS_kt_push_fields','zone_name') ;
         $this->form_checkbox_to_arr('<strong>personal_name</strong> - ФИО сотрудника','','LS_kt_push_fields','personal_name') ;
         $this->form_checkbox_to_arr('<strong>personal_uid</strong> -  UID сотрудника','','LS_kt_push_fields','personal_uid') ;
         $this->form_checkbox_to_arr('<strong>personal_tabnumber</strong> -  табельный номер сотрудника','','LS_kt_push_fields','personal_tabnumber') ;
         $this->form_checkbox_to_arr('<strong>dopusk</strong> - допуск','1 - допуск получен, 2 - допуск не получен','LS_kt_push_fields','dopusk') ;
         $this->form_checkbox_to_arr('<strong>dopusk_start</strong> - время начала действия допуска','','LS_kt_push_fields','dopusk_start') ;
         $this->form_checkbox_to_arr('<strong>dopusk_end</strong> - время окончания действия допуска','','LS_kt_push_fields','dopusk_end') ;
         $this->form_checkbox_to_arr('<strong>alko_value</strong> - значение алкоголя','','LS_kt_push_fields','alko_value') ;
      ?></table>
       <div class="clear center"><button class="button v2" cmd="aspmo_setting/save_setting">Сохранить</button></div>
       </form>
     <?
 }



}



?>